group "MandatoryEarlyTermination.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 3 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
mandatoryEarlyTermination | (mandatoryEarlyTerminationDateTenor, mandatoryEarlyTermination?)

Content Model Elements (3):

  mandatoryEarlyTermination (defined in MandatoryEarlyTermination.model group),
  mandatoryEarlyTermination (defined in MandatoryEarlyTermination.model group),
  mandatoryEarlyTerminationDateTenor

Known Usage Locations

- In definitions of global complexTypes (1):
  EarlyTerminationProvision

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="MandatoryEarlyTermination.model"> <xsd:choice> <xsd:element name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"/> <xsd:sequence> <xsd:element name="mandatoryEarlyTerminationDateTenor" type="Period"/> <xsd:element minOccurs="0" name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"/> </xsd:sequence> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
mandatoryEarlyTermination

  Type: | MandatoryEarlyTermination, complex content

  A mandatory early termination provision to terminate the swap at fair value.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"/>

mandatoryEarlyTermination

  Type: | MandatoryEarlyTermination, complex content

  A mandatory early termination provision to terminate the swap at fair value.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"/>

mandatoryEarlyTerminationDateTenor

  Type: | Period, complex content

  Period after trade date of the mandatory early termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mandatoryEarlyTerminationDateTenor" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.